List all contexts
Retrieve a paginated list of all contexts, optionally filtered by type and key pattern. **type** and **id** are optional fields, if provided, only contexts with the matching type and id will be returned. **search** is an optional field, if provided, only contexts with the matching key pattern will be returned. Checkout all possible parameters in the query section below for more details
Retrieve a paginated list of all contexts, optionally filtered by type and key pattern. type and id are optional fields, if provided, only contexts with the matching type and id will be returned. search is an optional field, if provided, only contexts with the matching key pattern will be returned. Checkout all possible parameters in the query section below for more details
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Query Parameters
Cursor for pagination indicating the starting point after which to fetch results.
Cursor for pagination indicating the ending point before which to fetch results.
Limit the number of items to return
Direction of sorting
Value in
- "ASC"
- "DESC"
Field to order by
Include cursor item in response
Filter contexts by id
Search contexts by type or id (supports partial matching across both fields)
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/contexts?limit=10&id=tenant-prod-123&search=tenant"{ "data": { "data": [ { "type": "string", "id": "string", "data": {}, "createdAt": "string", "updatedAt": "string" } ], "next": "string", "previous": "string", "totalCount": 0, "totalCountCapped": true }}API reference
Endpoint-by-endpoint reference for the Notifly REST API, generated from the OpenAPI document — one page per operation, grouped by resource.
Create a context POST
Create a new context with the specified type, id, and data. Returns 409 if context already exists. **type** and **id** are required fields, **data** is optional, if the context already exists, it returns the 409 response